## apertium 3.1.0

=== debian/changelog ===
apertium (3.1.0-2) unstable; urgency=low

  * Team upload
  * Package migrated to Debian Science
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Jun 2012 21:50:34 +0200

apertium (3.1.0-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #660715)
    - depend on dh-autoreconf and set compat to 7
    - add dh_autoreconf{,-clean} to debian/rules

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 03 Mar 2012 11:59:00 +0000

apertium (3.1.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621304).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 15:58:21 +0200

apertium (3.1.0-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix bashisms in various shell scripts in this package, since /bin/sh will
    not be bash by default in squeeze.  Thanks to Andres Mejia for the initial
    version of this patch.  Closes: #464491.
  * Set source format 3.0 (quilt) since we're patching the upstream source.
  * Drop versioned build-dep on libpcre3-dev (<< 7.9) which prevents us from
    rebuilding the package.  Closes: #581334.
  * Drop versioned dep on libpcre3 (<< 7.9) as well.  The versioned dependency
    actually exists between libpcre3 and the individual dictionary packages
    containing the compiled regexps, apertium itself is entirely agnostic
    regarding libpcre3 versions and should not have this hard-coded.
  * Lintian fixes:
    - add missing ${misc:Depends} to libapertium3-3.1-0-dev.
    - bump standards-version to 3.8.4 (no changes required).

 -- Steve Langasek <vorlon@debian.org>  Sun, 20 Jun 2010 21:56:56 +0000

apertium (3.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed Provides: apertium-pcre1 -> apertium-pcr2  (Closes: #503861)
  * Closes security in unstable that was in t-p-u. (Closes: #496395)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri, 20 Feb 2009 00:00:27 +0100

apertium (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 03 Feb 2009 20:14:08 +0000

apertium (3.0.7+1-2~lenny2) testing-proposed-updates; urgency=low

  * Fix PCRE dependency nightmare. (Closes: #503861)
  * Fix mktemp security symlink thing. (Closes: #496395)

 -- Francis Tyers <ftyers@prompsit.com>  Wed, 3 Nov 2008 22:47:00 +0000

apertium (3.0.7+1-2) unstable; urgency=medium

  * Fix syntax error in previous upload. Patch thanks to Xavi 
    Drudis Ferran. (Closes: #498618)

 -- Francis Tyers <ftyers@prompsit.com>  Sat, 13 Sep 2008 11:10:07 +0100

apertium (3.0.7+1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace pid-based, hardcoded and $RANDOM-based temporary file names
    to prevent against symlink attacks. Based mostly on a patch by Moritz
    Muehlenhoff <jmm@inutil.org>. (Closes: #496395)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 06 Sep 2008 22:36:07 +0100

apertium (3.0.7+1-1) unstable; urgency=low

  * Fix FTBFS gcc-4.3.  Closes: #417083

 -- Francis Tyers <ftyers@prompsit.com>  Wed, 26 Mar 2008 21:42:14 +0000

apertium (3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Thu, 06 Dec 2007 12:01:18 +0000

apertium (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Double-free bug fixed. (Closes: #446785)

 -- Francis Tyers <ftyers@prompsit.com>  Thu, 18 Oct 2007 21:11:47 +0100

apertium (3.0.3-1) unstable; urgency=low

  * New upstream release
  * Now it doesn't over-optimise (Closes: #396001)
  * Optimisation was causing segfaults on amd64 systems,
    optimisations were removed, now does not 
    segfault (Closes: #446785)

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 16 Oct 2007 19:52:24 +0100

apertium (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Sun, 14 Oct 2007 19:39:10 +0100

apertium (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Wed, 03 Oct 2007 09:39:10 +0100

apertium (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 02 Oct 2007 20:30:16 +0100

apertium (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu,  5 Apr 2007 23:48:03 +0100

apertium (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Sat, 24 Mar 2007 14:37:23 +0000

apertium (1.0.3-3) unstable; urgency=high

  * Added install dependency for lttoolbox (Closes: #407050)

 -- Francis Tyers <f.tyers@uea.ac.uk>  Fri, 19 Jan 2007 10:08:28 +0000

apertium (1.0.3-2) unstable; urgency=low

  * Added lttoolbox dependency (Closes: #407050) 

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu, 18 Jan 2007 09:28:16 +0000

apertium (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu,  9 Nov 2006 12:30:55 +0000

apertium (1.0.1-1) unstable; urgency=low

  * Initial release Closes: #320930 

 -- Francis Tyers <f.tyers@uea.ac.uk>  Sun,  4 Jun 2006 23:56:02 +0100
