=== debian/control ===
Source: apertium
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               autotools-dev,
               debhelper (>= 9.0),
               dh-autoreconf,
               dh-exec (>= 0.3),
               flex (>= 2.5.33),
               libpcre3-dev,
               libxml2-dev,
               libxml2-utils (>= 2.6.24),
               lttoolbox-dev (>= 3.3.1),
               pkg-config (>= 0.20),
               xsltproc (>= 1.1.16)
Standards-Version: 3.9.6
Homepage: http://apertium.org/
Vcs-Git: https://anonscm.debian.org/debian-science/packages/apertium.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git

Package: apertium
Architecture: any
Depends: libxml2-utils (>= 2.6.24),
         lttoolbox (>= 3.3.1),
         xsltproc (>= 1.1.16),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Shallow-transfer machine translation engine
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 It uses finite-state transducers for lexical processing,
 hidden Markov models for part-of-speech tagging, and
 finite-state based chunking for structural transfer.
 .
 The system is largely based upon systems already developed by
 the Transducens  group at the Universitat d'Alacant, such as
 interNOSTRUM (Spanish-Catalan, http://www.internostrum.com/welcome.php)
 and Traductor Universia (Spanish-Portuguese,
 http://traductor.universia.net).
 .
 It will be possible to use Apertium to build machine translation
 systems for a variety of related-language pairs simply providing
 the linguistic data needed in the right format.

Package: libapertium3-3.4-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libapertium
Conflicts: libapertium, libapertium3
Replaces: libapertium, libapertium3
Description: Shared library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains shared library for the Apertium
 shallow-transfer machine translation engine.

Package: apertium-dev
Architecture: any
Depends: apertium (= ${binary:Version}),
         libpcre3-dev,
         libxml2-dev,
         lttoolbox-dev (>= 3.3.1),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libapertium3-dev
Replaces: libapertium3-dev
Description: Development tools and library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains development files for the Apertium
 shallow-transfer machine translation engine.
