## apertium 3.4.2~r68466

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,9 +62,9 @@
 
 SET (PACKAGE_BUGREPORT sortiz@users.sourceforge.net)
 SET (PACKAGE_NAME      apertium/apertium.h)
-SET (PACKAGE_STRING    apertium/apertium.h 3.4.0)
+SET (PACKAGE_STRING    apertium/apertium.h 3.4.2)
 SET (PACKAGE_TARNAME   lttoolbox-lttoolbox-h)
-SET (PACKAGE_VERSION   3.4.0)
+SET (PACKAGE_VERSION   3.4.2)
 
 MACRO (BOOL_CHECK_SYMBOL_EXISTS SYMBOL HEADER VAR)
         CHECK_SYMBOL_EXISTS (${SYMBOL} ${HEADER} ${VAR})
