=== debian/changelog ===
apertium (3.4.2~r68466-4) unstable; urgency=medium

  * debian/patches/00-parallel-ftbfs.patch:
    + Added patch to fix frequent parallel FTBFS. Patch by Adrian Bunk
      <bunk@debian.org> (Closes: #886361)

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Jan 2018 10:11:44 +0530

apertium (3.4.2~r68466-3) unstable; urgency=low

  [ Tino Didriksen ]
  * Rename libhfstNN-dev to plain libhfst-dev (Closes: #885450)

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.1.2.0
    + Set Section to libs for libapertium package.
  * Set debian/compat to 11:
    + Removed autoconf, autotools-dev, dh-autoreconf from Build-Depends.
    + Build-Depends on debhelper (>= 11).
  * Added Hardening support.
  * debian/rules:
    * Make apertium-createmodes.awk script executable.
  * Added lintian overrides for:
    + Duplicate triggers.
    + Missing symbol control file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Dec 2017 18:13:48 +0530

apertium (3.4.2~r68466-2) unstable; urgency=medium

  [ Tino Didriksen ]
  * Update depends for newer libhfst49-dev (Closes: #874563)

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.0.0
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 07 Sep 2017 18:54:43 +0530

apertium (3.4.2~r68466-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release.
  * New binary metapackage: apertium-all-dev.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 3.9.8
  * Use dpkg triggers instead of postinst.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Jun 2016 09:07:31 +0530
