=== debian/control ===
--- 
+++ 
@@ -2,29 +2,28 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
+Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: autoconf,
-               autotools-dev,
-               debhelper (>= 9.0),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                dh-exec (>= 0.3),
+               dpkg-dev (>= 1.16.1.1),
                flex (>= 2.5.33),
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils (>= 2.6.24),
-               lttoolbox-dev (>= 3.3.1),
+               lttoolbox-dev (>= 3.3.3~r68466),
                pkg-config (>= 0.20),
+               python3,
                xsltproc (>= 1.1.16)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2.0
 Homepage: http://apertium.org/
-Vcs-Git: https://anonscm.debian.org/debian-science/packages/apertium.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
 
 Package: apertium
 Architecture: any
 Depends: libxml2-utils (>= 2.6.24),
-         lttoolbox (>= 3.3.1),
+         lttoolbox (>= 3.3.3~r68466),
          xsltproc (>= 1.1.16),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -47,6 +46,7 @@
  the linguistic data needed in the right format.
 
 Package: libapertium3-3.4-0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -66,7 +66,7 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.3.1),
+         lttoolbox-dev (>= 3.3.3~r68466),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libapertium3-dev
@@ -77,3 +77,16 @@
  .
  This package contains development files for the Apertium
  shallow-transfer machine translation engine.
+
+Package: apertium-all-dev
+Architecture: all
+Depends: apertium-dev (>= ${source:Version}),
+         apertium-lex-tools (>= 0.1.1~r60994),
+         cg3 (>= 0.9.9~r11621),
+         hfst (>= 3.13.0~r3461),
+         libhfst-dev (>= 3.13.0~r3461),
+         ${misc:Depends}
+Description: Metapackage for all tools required for Apertium development
+ A metapackage to get all tools required for development of Apertium
+ languages and pairs, such as lttoolbox, apertium, apertium-lex-tools,
+ cg3, and hfst.
