=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --fail-missing --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_auto_install:
	dh_auto_install
	chmod +x $(CURDIR)/debian/tmp/usr/share/apertium/apertium-createmodes.awk
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
