=== debian/control ===
--- 
+++ 
@@ -4,26 +4,30 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: autoconf,
+               autotools-dev,
+               debhelper (>= 9.0),
+               dh-autoreconf,
                dh-exec (>= 0.3),
                dpkg-dev (>= 1.16.1.1),
                flex (>= 2.5.33),
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils (>= 2.6.24),
-               lttoolbox-dev (>= 3.3.3~r68466),
+               lttoolbox-dev (>= 3.4.0~r83591),
                pkg-config (>= 0.20),
                python3,
                xsltproc (>= 1.1.16)
-Standards-Version: 4.1.2.0
-Homepage: http://apertium.org/
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
+Standards-Version: 4.1.3
+Homepage: https://apertium.org/
+Vcs-Git: https://salsa.debian.org/science-team/apertium.git
+Vcs-Browser: https://salsa.debian.org/science-team/apertium
 
 Package: apertium
 Architecture: any
-Depends: libxml2-utils (>= 2.6.24),
-         lttoolbox (>= 3.3.3~r68466),
+Depends: libapertium3-3.5-1 (= ${binary:Version}),
+         libxml2-utils (>= 2.6.24),
+         lttoolbox (>= 3.4.0~r83591),
          xsltproc (>= 1.1.16),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -45,7 +49,7 @@
  systems for a variety of related-language pairs simply providing
  the linguistic data needed in the right format.
 
-Package: libapertium3-3.4-0
+Package: libapertium3-3.5-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -66,7 +70,7 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.3.3~r68466),
+         lttoolbox-dev (>= 3.4.0~r83591),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libapertium3-dev
@@ -82,9 +86,17 @@
 Architecture: all
 Depends: apertium-dev (>= ${source:Version}),
          apertium-lex-tools (>= 0.1.1~r60994),
-         cg3 (>= 0.9.9~r11621),
+         automake,
+         build-essential,
+         cg3 (>= 1.0.0~r12254),
+         gawk,
          hfst (>= 3.13.0~r3461),
+         libcg3-dev (>= 1.0.0~r12254),
          libhfst-dev (>= 3.13.0~r3461),
+         libtool,
+         locales,
+         pkg-config,
+         subversion,
          ${misc:Depends}
 Description: Metapackage for all tools required for Apertium development
  A metapackage to get all tools required for development of Apertium
