=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,14 @@
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
+export LC_ALL=C.UTF-8
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --fail-missing --with autoreconf
+	dh $@ --fail-missing --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static
