=== debian/watch ===
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/apertium-$1\.tar\.gz/ \
  https://github.com/apertium/apertium/releases .*/v?(\d\S+)\.tar\.gz
