## apertium 3.5.2

=== debian/changelog ===
apertium (3.5.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream

  [ Kartik Mistry ]
  * Updated debian/watch file with version.
  * debian/control:
    + Updated for dh 11.
    + Removed cyclic dependencies for apertium-all-dev.
  * debian/rules:
    + Updated for dh 11
    + Remove duplicate README.

 -- Kartik Mistry <kartik@debian.org>  Sat, 13 Oct 2018 19:55:47 +0530
