=== debian/control ===
--- 
+++ 
@@ -5,20 +5,18 @@
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
-               autotools-dev,
-               debhelper (>= 9.0),
-               dh-autoreconf,
+               debhelper (>= 11),
                dh-exec (>= 0.3),
                dpkg-dev (>= 1.16.1.1),
                flex (>= 2.5.33),
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils (>= 2.6.24),
-               lttoolbox-dev (>= 3.4.0~r83591),
+               lttoolbox-dev (>= 3.5.0),
                pkg-config (>= 0.20),
                python3,
                xsltproc (>= 1.1.16)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium
@@ -27,7 +25,7 @@
 Architecture: any
 Depends: libapertium3-3.5-1 (= ${binary:Version}),
          libxml2-utils (>= 2.6.24),
-         lttoolbox (>= 3.4.0~r83591),
+         lttoolbox (>= 3.5.0),
          xsltproc (>= 1.1.16),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -70,7 +68,7 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.4.0~r83591),
+         lttoolbox-dev (>= 3.5.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libapertium3-dev
@@ -85,14 +83,13 @@
 Package: apertium-all-dev
 Architecture: all
 Depends: apertium-dev (>= ${source:Version}),
-         apertium-lex-tools (>= 0.1.1~r60994),
          automake,
-         build-essential,
-         cg3 (>= 1.0.0~r12254),
+         cg3 (>= 1.1.6),
          gawk,
-         hfst (>= 3.13.0~r3461),
-         libcg3-dev (>= 1.0.0~r12254),
-         libhfst-dev (>= 3.13.0~r3461),
+         git,
+         hfst (>= 3.14.0),
+         libcg3-dev (>= 1.1.6),
+         libhfst-dev (>= 3.14.0),
          libtool,
          locales,
          pkg-config,
@@ -100,5 +97,4 @@
          ${misc:Depends}
 Description: Metapackage for all tools required for Apertium development
  A metapackage to get all tools required for development of Apertium
- languages and pairs, such as lttoolbox, apertium, apertium-lex-tools,
- cg3, and hfst.
+ languages and pairs, such as lttoolbox, apertium, cg3, and hfst.
