=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --fail-missing --parallel --with autoreconf
+	dh $@ --fail-missing --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static
@@ -19,3 +19,5 @@
 	dh_auto_install
 	chmod +x $(CURDIR)/debian/tmp/usr/share/apertium/apertium-createmodes.awk
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
+	#Remove duplicate README
+	rm -f $(CURDIR)/debian/tmp/usr/share/apertium/modes/README
