=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-$1.tar.gz%" \
     https://github.com/apertium/apertium/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
