## apertium 3.6.1

=== debian/changelog ===
apertium (3.6.1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:48 +0100

apertium (3.6.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:40:08 +0000

apertium (3.6.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Added new binary for Python module.
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.1
    + Split apertium-all-dev to its own package.
  * Prefer duplicate README-MODES in the modes folder.
  * Lintian overrides:
    + Ignore modes/README.
    + man .Lk syntax warnings.

 -- Kartik Mistry <kartik@debian.org>  Thu, 24 Oct 2019 13:41:25 +0530

apertium (3.5.2-2) unstable; urgency=low

  * Added Salsa CI Pipeline config.
  * Updated Standards-Version to 4.3.0

 -- Kartik Mistry <kartik@debian.org>  Tue, 21 May 2019 17:49:47 +0530
