## apertium 3.7.1

=== debian/changelog ===
apertium (3.7.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Append the endianness to the PCRE version (Closes: #977753)

 -- Kartik Mistry <kartik@debian.org>  Tue, 22 Dec 2020 09:42:17 +0530

apertium (3.7.0-1) unstable; urgency=low

  * Update to latest upstream
  * Remove patch as it's been integrated upstream
  * Split off apertium-get to its own package, but Recommend it
  * Recommend Transfuse
  * debian/control:
    + Updated Standards-Version to 4.5.1

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 26 Nov 2020 21:30:24 +0100

apertium (3.6.1-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Added patch to fix FTBFS with GCC 10 (Closes: #957002)
  * debian/control:
    + Updated dh to 13.
    + Updated Standards-Version to 4.5.0
  * Remove superfluous trigger and warning.

  [ Kartik Mistry ]
  * Updated Lintian overrides.
  * Added debian/upstream/metadata.

 -- Kartik Mistry <kartik@debian.org>  Sun, 05 Jul 2020 20:18:56 +0530
