=== debian/control ===
--- 
+++ 
@@ -1,40 +1,43 @@
 Source: apertium
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 12),
+               debhelper-compat (= 13),
                dh-exec,
                dh-python,
                flex,
+               libicu-dev,
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils,
-               lttoolbox-dev (>= 3.5.1),
+               lttoolbox-dev (>= 3.5.3),
                pkg-config,
                python3-dev,
+               python3-lxml,
                python3-setuptools,
                swig,
                unzip,
                xsltproc,
                zip,
                zipcmp
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium
+Rules-Requires-Root: no
 
 Package: apertium
 Architecture: any
-Depends: libapertium3-3.6-1 (= ${binary:Version}),
+Depends: libapertium3-3.7-1 (= ${binary:Version}),
          libxml2-utils,
-         lttoolbox (>= 3.5.1),
+         lttoolbox (>= 3.5.3),
          xsltproc,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: unzip, zip
+Recommends: transfuse, unzip, zip
 Description: Shallow-transfer machine translation engine
  An open-source shallow-transfer machine translation
  engine, Apertium is initially aimed at related-language pairs.
@@ -53,7 +56,7 @@
  systems for a variety of related-language pairs simply providing
  the linguistic data needed in the right format.
 
-Package: libapertium3-3.6-1
+Package: libapertium3-3.7-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -84,10 +87,11 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.5.1),
+         lttoolbox-dev (>= 3.5.3),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Recommends: apertium-get
 Conflicts: libapertium3-dev
 Replaces: libapertium3-dev
 Description: Development tools and library for Apertium
