=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.bz2%apertium-$1.tar.bz2%" \
    https://github.com/apertium/apertium/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
